Bug 638277 - setting the title could fail
Summary: setting the title could fail
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gmixer
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-28 16:24 UTC by Thomas Spura
Modified: 2010-10-08 20:58 UTC (History)
2 users (show)

Fixed In Version: gmixer-1.3-17.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-08 20:58:00 UTC


Attachments (Terms of Use)
proposed patch for to solve this (768 bytes, patch)
2010-09-28 16:24 UTC, Thomas Spura
no flags Details | Diff

Description Thomas Spura 2010-09-28 16:24:35 UTC
Created attachment 450238 [details]
proposed patch for to solve this

Description of problem:
Traceback (most recent call last):
  File "./gmixer-1.3/src/gmixer", line 940, in _change_device
    self._set_title()
  File "./gmixer-1.3/src/gmixer", line 931, in _set_title
    mixerlabel = APPNAME+" - "+self._current_mixer.get_property("device-name")+" ("+self._current_mixer.get_factory().get_longname()+")"
TypeError: cannot concatenate 'str' and 'NoneType' objects

Version-Release number of selected component (if applicable):
gmixer-1.3-15.fc13.x86_64

How reproducible:
always

Steps to Reproduce:
1. run gmixer
2. select /dev/mixer
  
Actual results:
get a backtrace

Expected results:
get none

Additional info:

Comment 1 Fedora Update System 2010-09-28 16:48:14 UTC
gmixer-1.3-17.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gmixer-1.3-17.fc14

Comment 2 Fedora Update System 2010-09-28 16:59:33 UTC
gmixer-1.3-17.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/gmixer-1.3-17.fc13

Comment 3 Fedora Update System 2010-09-30 10:34:37 UTC
gmixer-1.3-17.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gmixer'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/gmixer-1.3-17.fc13

Comment 4 Fedora Update System 2010-10-08 12:39:22 UTC
gmixer-1.3-17.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2010-10-08 20:57:47 UTC
gmixer-1.3-17.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.